#
# Conditional build:
%bcond_with	tests		# test suite
%bcond_without	fwupd		# fwupd support

%define		kdeplasmaver	6.3.5
%define		qtver		5.15.2
%define		kpname		discover
Summary:	Plasma Discover - KDE Software Center
Summary(pl.UTF-8):	Odkrywca - Ośrodek programów KDE
Name:		kp6-%{kpname}
Version:	6.3.5
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	3951d212cb801598a7355d68c3049583
URL:		https://kde.org/
BuildRequires:	AppStream-qt6-devel >= 1.0
BuildRequires:	PackageKit-qt6-devel
BuildRequires:	Qt6Concurrent-devel >= %{qtver}
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6DBus-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel >= %{qtver}
BuildRequires:	Qt6Network-devel >= %{qtver}
BuildRequires:	Qt6Qml-devel >= %{qtver}
BuildRequires:	Qt6Quick-devel >= %{qtver}
BuildRequires:	Qt6Svg-devel >= %{qtver}
BuildRequires:	Qt6Test-devel >= %{qtver}
BuildRequires:	Qt6WebView-devel >= %{qtver}
BuildRequires:	Qt6Widgets-devel >= %{qtver}
BuildRequires:	Qt6Xml-devel >= %{qtver}
BuildRequires:	cmake >= 3.16.0
BuildRequires:	flatpak-devel >= 1.14.5
%{?with_fwupd:BuildRequires:	fwupd-devel >= 1.9.4}
BuildRequires:	kf6-extra-cmake-modules >= 1.4.0
BuildRequires:	kf6-karchive-devel
BuildRequires:	kf6-kcmutils-devel
BuildRequires:	kf6-kconfig-devel
BuildRequires:	kf6-kconfigwidgets-devel
BuildRequires:	kf6-kcoreaddons-devel
BuildRequires:	kf6-kcrash-devel
BuildRequires:	kf6-kdbusaddons-devel
BuildRequires:	kf6-kdeclarative-devel
BuildRequires:	kf6-ki18n-devel
BuildRequires:	kf6-kiconthemes-devel
BuildRequires:	kf6-kidletime-devel
BuildRequires:	kf6-kio-devel
BuildRequires:	kf6-kirigami-addons-devel
BuildRequires:	kf6-kitemmodels-devel
BuildRequires:	kf6-kitemviews-devel
BuildRequires:	kf6-knewstuff-devel
BuildRequires:	kf6-knotifications-devel
BuildRequires:	kf6-kstatusnotifieritem-devel
BuildRequires:	kf6-ktextwidgets-devel
BuildRequires:	kf6-kwallet-devel
BuildRequires:	kf6-kwidgetsaddons-devel
BuildRequires:	kf6-purpose-devel
BuildRequires:	kf6-solid-devel
BuildRequires:	libmarkdown-devel
BuildRequires:	ninja
BuildRequires:	qcoro-qt6-devel
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Suggests:	flatpak
Suggests:	fwupd
Requires(post,postun):	desktop-file-utils
Obsoletes:	kp5-%{kpname} < 6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Discover helps you find and install applications, games, and tools.
You can search or browse by category, and look at screenshots and read
reviews to help you pick the perfect app.

%description -l pl.UTF-8
Odkrywca pozwala znajdować i instalować aplikacje, gry i narzędzia.
Można wyszukiwać i przeglądać wg kategorii, oglądać zrzuty ekranu i
czytać recenzje, aby wybrać idealną aplikację.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir}

%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

# not supported by glibc yet
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang discover --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun


%files -f discover.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/plasma-discover
%attr(755,root,root) %{_bindir}/plasma-discover-update
%dir %{_libdir}/plasma-discover
%attr(755,root,root) %{_libdir}/plasma-discover/lib*.so
%dir %{_libdir}/qt6/plugins/discover
%attr(755,root,root) %{_libdir}/qt6/plugins/discover/flatpak-backend.so
%if %{with fwupd}
%attr(755,root,root) %{_libdir}/qt6/plugins/discover/fwupd-backend.so
%endif
%attr(755,root,root) %{_libdir}/qt6/plugins/discover/kns-backend.so
%attr(755,root,root) %{_libdir}/qt6/plugins/discover/packagekit-backend.so
%dir %{_libdir}/qt6/plugins/discover-notifier
%attr(755,root,root) %{_libdir}/qt6/plugins/discover-notifier/DiscoverPackageKitNotifier.so
%attr(755,root,root) %{_libdir}/qt6/plugins/discover-notifier/FlatpakNotifier.so
%attr(755,root,root) %{_libdir}/qt6/plugins/plasma/kcms/systemsettings/kcm_updates.so
%attr(755,root,root) %{_libexecdir}/DiscoverNotifier
%{_datadir}/knotifications6/discoverabstractnotifier.notifyrc
%{_datadir}/kxmlgui5/plasmadiscover
%dir %{_datadir}/libdiscover
%dir %{_datadir}/libdiscover/categories
%{_datadir}/libdiscover/categories/flatpak-backend-categories.xml
%{_datadir}/libdiscover/categories/packagekit-backend-categories.xml
%{_datadir}/metainfo/org.kde.discover.appdata.xml
%{_datadir}/metainfo/org.kde.discover.flatpak.appdata.xml
%{_datadir}/qlogging-categories6/discover.categories
%{_desktopdir}/kcm_updates.desktop
%{_desktopdir}/org.kde.discover.desktop
%{_desktopdir}/org.kde.discover.notifier.desktop
%{_desktopdir}/org.kde.discover.snap.desktop
%{_desktopdir}/org.kde.discover.urlhandler.desktop
%{_desktopdir}/org.kde.discover-flatpak.desktop
%{_iconsdir}/hicolor/*x*/apps/plasmadiscover.png
%{_iconsdir}/hicolor/scalable/apps/flatpak-discover.svg
%{_iconsdir}/hicolor/scalable/apps/plasmadiscover.svg*
/etc/xdg/autostart/org.kde.discover.notifier.desktop
%{_datadir}/metainfo/org.kde.discover.packagekit.appdata.xml
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-discover.git;a=log;h=master

* Wed May 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 153a57b
- updated to 6.3.5

* Wed Apr 02 2025 Witold Filipczyk <witekfl@poczta.onet.pl> b06f6bb
- updated to 6.3.4

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> a87a519
- updated to 6.3.3

* Thu Feb 27 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 9a8930b
- updated to 6.3.2

* Thu Feb 20 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 7c79fa8
- updated to 6.3.1

* Wed Feb 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 79e4a67
- updated to 6.3.0

* Wed Jan 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 6284e6b
- updated to 6.2.5

* Tue Nov 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 07c6a7a
- updated to 6.2.4

* Tue Nov 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> cc0fbbf
- updated to 6.2.3

* Tue Oct 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9b246d5
- updated to 6.2.2

* Tue Oct 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8973ecb
- updated to 6.2.1

* Thu Oct 10 2024 Jakub Bogusz <qboosh@pld-linux.org> 6013d83
- files cleanup

* Thu Oct 10 2024 Jakub Bogusz <qboosh@pld-linux.org> de16288
- updated kirigami-addons package name

* Thu Oct 10 2024 Jakub Bogusz <qboosh@pld-linux.org> b8f4a68
- macros for ninja

* Thu Oct 10 2024 Jakub Bogusz <qboosh@pld-linux.org> 513b2fe
- some description

* Tue Oct 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 22cbbdd
- updated to 6.2.0

* Sat Sep 21 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 86112fa
- BR: kf6-kcmutils-devel

* Fri Sep 20 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8349017
- BR: qcoro-qt6-devel

* Tue Sep 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6512583
- updated to 6.1.5

* Sun Aug 18 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f11acbd
- BR: kirigami-addons-devel

